Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.multiplex
Class VirtualServerSocketFactory

    java.lang.Object
      javax.net.ServerSocketFactory
          org.jboss.remoting.transport.multiplex.VirtualServerSocketFactory

    public class VirtualServerSocketFactory

extends javax.net.ServerSocketFactory

`VirtualServerSocketFactory` extends the `javax.net.ServerSocketFactory` class and reimplements its `createServerSocket()` methods. By default it creates `MasterServerSocket`s, but if the `setOnClient()` method has been called and the `setOnServer()` method has not been called more recently, `VirtualServerSocketFactory` creates `VirtualServerSocket`s.

Version:
  $Revision: 1248 $

  Copyright (c) 2005

Author:
  Ron Sigal

Field Summary
`protected static org.jboss.logging.Logger` | `log`

Constructor Summary
`protected` | `VirtualServerSocketFactory()`

Method Summary
`java.net.ServerSocket` | `createServerSocket(int port)` See superclass javadoc.
`java.net.ServerSocket` | `createServerSocket(int port, int backlog)` See superclass javadoc.
`java.net.ServerSocket` | `createServerSocket(int port, int backlog, java.net.InetAddress address)` See superclass javadoc.
`static javax.net.ServerSocketFactory` | `getDefault()`
`boolean` | `isOnClient()`
`boolean` | `isOnServer()`
`boolean` | `setOnClient()`
`boolean` | `setOnServer()`

Methods inherited from class javax.net.ServerSocketFactory
`createServerSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.jboss.logging.Logger log

Constructor Detail

### VirtualServerSocketFactory

    protected VirtualServerSocketFactory()

Method Detail

### getDefault

    public static javax.net.ServerSocketFactory getDefault()

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port)
                                             throws java.io.IOException

  See superclass javadoc.

  Specified by:
    `createServerSocket` in class `javax.net.ServerSocketFactory`
  Throws:
    `java.io.IOException`

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port,
                                                    int backlog)
                                             throws java.io.IOException

  See superclass javadoc.

  Specified by:
    `createServerSocket` in class `javax.net.ServerSocketFactory`
  Throws:
    `java.io.IOException`

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port,
                                                    int backlog,
                                                    java.net.InetAddress address)
                                             throws java.io.IOException

  See superclass javadoc.

  Specified by:
    `createServerSocket` in class `javax.net.ServerSocketFactory`
  Throws:
    `java.io.IOException`

### isOnClient

    public boolean isOnClient()

  Returns:

### isOnServer

    public boolean isOnServer()

  Returns:

### setOnClient

    public boolean setOnClient()

  Returns:

### setOnServer

    public boolean setOnServer()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.